> ## Documentation Index
> Fetch the complete documentation index at: https://developers.orchestrasolutions.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Country Lookup

> This method allows you to lookup the issueing of the card provided. 
            By providing the card's BIN / IIN (the first 6 to 11 digits of the card number), we lookup and return the ISO-3166 Alpha-2 country code of the card (e.g. "US").

<Card title="Country Lookup Guide" icon="book" href="/guides/rest-api/utilities/card-tools/country-lookup">
  Complete guide with examples, parameters, and best practices
</Card>


## OpenAPI

````yaml get /Tools/country
openapi: 3.0.4
info:
  title: Orchestra API
  description: Code Version 1.0.13.1
  version: Prod
servers:
  - url: https://api.orchestrasolutions.com
security: []
tags:
  - name: AP2
    description: Test AP2 controller
  - name: EWalletOperations
    description: Card operations controller
  - name: MockCredentialProvider
    description: |-
      Mock Credential Provider controller implementing JSON-RPC 2.0 protocol
      Used for testing AP2 checkout flows
  - name: PaymentContract
    description: Payment Contracts - Manage individual scheduled payment arrangements
  - name: PaymentGatewayAccounts
    description: Payment Gateway Accounts
  - name: PaymentGateway
    description: Universal Payment Gateway
  - name: Utils
    description: Utils
  - name: Tools
    description: Tools
  - name: StringTokens
    description: Token management
paths:
  /Tools/country:
    get:
      tags:
        - Tools
      summary: Country Lookup
      description: |-
        This method allows you to lookup the issueing of the card provided. 
                    By providing the card's BIN / IIN (the first 6 to 11 digits of the card number), we lookup and return the ISO-3166 Alpha-2 country code of the card (e.g. "US").
      operationId: CountryLookup
      parameters:
        - name: iin
          in: query
          description: Card's BIN / IIN (the first 6 to 11 digits of the card number)
          required: true
          schema:
            pattern: \d{6,11}
            type: string
      responses:
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/PayTools_Shared.Models.ValidationErrorMessage
        '401':
          description: Not authenticated
      security:
        - {}
components:
  schemas:
    PayTools_Shared.Models.ValidationErrorMessage:
      type: object
      properties:
        fieldName:
          type: string
          description: Field name the error(s) are referring to
          nullable: true
        errors:
          type: array
          items:
            type: string
          description: List of errors
          nullable: true
      additionalProperties: false
      description: Model for display validation error messages

````